Résolu Forge 1.12.2 et Java

NzoSifou

Dveloppeur intermédiaire : HTML / CSS / NodeJS
21 Septembre 2014
139
6
125
Saint-Trivier sur Moignans
Bonjour !
Dans l'année de 2019, java a décidé que l'on ne pouvais plus avoir Java 8 donc du coup j'ai java 13 mais le problème c'est l'installation d'un serveur forge en 1.12.2 !
Bon l'erreur est connu mais je la poste quand même :
Code:
A problem occurred running the Server launcher.java.lang.reflect.InvocationTargetException
        at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.base/java.lang.reflect.Method.invoke(Method.java:567)
        at net.minecraftforge.fml.relauncher.ServerLaunchWrapper.run(ServerLaunchWrapper.java:70)
        at net.minecraftforge.fml.relauncher.ServerLaunchWrapper.main(ServerLaunchWrapper.java:34)
Caused by: java.lang.ClassCastException: class jdk.internal.loader.ClassLoaders$AppClassLoader cannot be cast to class java.net.URLClassLoader (jdk.internal.loader.ClassLoaders$AppClassLoader and java.net.URLClassLoader are in module java.base of loader 'bootstrap')
        at net.minecraft.launchwrapper.Launch.<init>(Launch.java:34)
        at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
        ... 6 more
Donc comment faire pour que mon serveur sous Debian 9 tourne sous forge 1.12.2 ?
@robin4002 Un petit coup de pouce s'il te plait ?
 
Acheter minecraft moins cher

Pour voir moins d'annonces créez un compte ou connectez-vous.